View Issue Details

IDProjectCategoryLast Update
0021658AI War 2[All Projects] GUIOct 4, 2019 6:21 pm
ReporterAsteroidAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.889 Reticulating Those Splines 
Fixed in Version0.897 Commanding From The Galaxy Map 
Summary0021658: Clear display of possible incoming warpgate attacks?
DescriptionI don't think the most important mechanic in the game, gate waves, is well exposed in the UI. Hard for me to step in the shoes of a brand new player already, but it seems to me that the fact that waves come from those tiny buildings just isn't front and center.

What would you think about having red, slightly animated arrows coming from enemy worlds that have gates, and pointing toward the planet they might attack? Those arrows' tooltip would tell you which unit mix might attack you from this direction, and whether a wave is currently incoming there.

I think gates could also be made a lot more prominent by scaling up the model so it's the biggest thing in the system, and some kind of visualization added inside the planet view of the wormholes the gate might send things into.

Lastly, I wonder if we could actually see the ships come out of the gate to attack you, instead of having them "slingshot" to the wormhole? It would definitely help mentally link the gate to the waves.

(I might tackle this, though I think it'll involve some work in Unity which doesn't motivate me much. But I want opinions first.)
TagsNo tags attached.

Activities

BadgerBadger

Sep 19, 2019 1:53 am

manager   ~0053178

I'd rather put a red circle around the planet or something? I do agree that this needs to be better pointed out in the UI

BadgerBadger

Sep 30, 2019 3:16 pm

manager   ~0053328

I was looking at some save games from other people and I'm realizing that this would be really nice to figure out how good of a job they did at gate raiding

x4000Bughunter

Oct 4, 2019 5:25 pm

administrator   ~0053461

I think this is essentially handled now with the thicker lines Badger added? Is this considered done by you guys?

BadgerBadger

Oct 4, 2019 5:33 pm

manager   ~0053469

Unless you want to add some additional things that can be done with wormhole link visuals, like in http://forums.arcengames.com/ai-war-ii-interface/galaxy-map-info-request/msg221352/#new, then it's basically done.

x4000Bughunter

Oct 4, 2019 6:21 pm

administrator   ~0053479

Done! Wow, the dashed lines really add a LOT!

Issue History

Date Modified Username Field Change
Sep 19, 2019 1:36 am Asteroid New Issue
Sep 19, 2019 1:53 am BadgerBadger Note Added: 0053178
Sep 30, 2019 3:16 pm BadgerBadger Note Added: 0053328
Oct 4, 2019 5:25 pm x4000Bughunter Note Added: 0053461
Oct 4, 2019 5:26 pm x4000Bughunter Status new => feedback
Oct 4, 2019 5:33 pm BadgerBadger Note Added: 0053469
Oct 4, 2019 6:21 pm x4000Bughunter Assigned To => x4000Bughunter
Oct 4, 2019 6:21 pm x4000Bughunter Status feedback => resolved
Oct 4, 2019 6:21 pm x4000Bughunter Resolution open => fixed
Oct 4, 2019 6:21 pm x4000Bughunter Fixed in Version => 0.897 Commanding From The Galaxy Map
Oct 4, 2019 6:21 pm x4000Bughunter Note Added: 0053479